package com.srs.comprehensive.domain;

import com.baomidou.mybatisplus.annotation.TableLogic;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;

/**
 * 优秀宿舍对象 cph_dormitory_good
 *
 * @author srs
 * @date 2023-07-04
 */
public class CphDormitoryGood extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 宿舍id
     */
    @Excel(name = "宿舍id")
    private Long dormitoryId;


    /**
     * 学年id
     */
    @Excel(name = "学年id")
    private Long yearId;


    @Excel(name = "获奖等级")
    private Long rank;

    /**
     * 状态
     */
    @Excel(name = "状态")
    private Long status;

    /**
     * 编号
     */
    @Excel(name = "编号")
    private String number;

    /**
     * 逻辑删除
     */
    private String delFlag;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setDormitoryId(Long dormitoryId) {
        this.dormitoryId = dormitoryId;
    }

    public Long getDormitoryId() {
        return dormitoryId;
    }

    public void setYearId(Long yearId) {
        this.yearId = yearId;
    }

    public Long getYearId() {
        return yearId;
    }

    public void setStatus(Long status) {
        this.status = status;
    }

    public Long getStatus() {
        return status;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getNumber() {
        return number;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }
    public Long getRank() {
        return rank;
    }

    public void setRank(Long rank) {
        this.rank = rank;
    }

    @Override
    public String toString() {
        return "CphDormitoryGood{" +
                "id=" + id +
                ", dormitoryId=" + dormitoryId +
                ", yearId=" + yearId +
                ", rank=" + rank +
                ", status=" + status +
                ", number='" + number + '\'' +
                ", delFlag='" + delFlag + '\'' +
                '}';
    }
}
